# Static Info

`WS` `request · cmd 10`

> **Quote Permission Required · Free**
> Included with OpenAPI activation — no extra purchase needed.
> _OpenAPI quote perms are separate from App/Web perms_

This API is used to obtain the basic information of securities.

```protobuf
message MultiSecurityRequest {
  repeated string symbol = 1;
}

message SecurityStaticInfoResponse {
  repeated StaticInfo secu_static_info = 1;
}
```

## Request Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string[] | Yes | Security code list, in ticker.region format; max 500 symbols per request |

## Response Fields

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `secu_static_info` | object[] | No | Securities Basic Information |
| `└ symbol` | string | No | Security code |
| `└ name_cn` | string | No | Security name (zh-CN) |
| `└ name_en` | string | No | Security name (en) |
| `└ name_hk` | string | No | Security name (zh-HK) |
| `└ exchange` | string | No | Exchange which the security belongs to |
| `└ currency` | string | No | Trading currency (CNY/USD/SGD/HKD) |
| `└ lot_size` | int32 | No | Lot size |
| `└ total_shares` | int64 | No | Total shares |
| `└ circulating_shares` | int64 | No | Circulating shares |
| `└ hk_shares` | int64 | No | HK shares (only HK stocks) |
| `└ eps` | string | No | Earnings per share |
| `└ eps_ttm` | string | No | Earnings per share (TTM) |
| `└ bps` | string | No | Net assets per share |
| `└ dividend_yield` | string | No | Dividend yield |
| `└ stock_derivatives` | int32[] | No | Types of supported derivatives (1-Option, 2-Warrant) |
| `└ board` | string | No | The board to which the security belongs |

## Response JSON Example

```json
{
  "secu_static_info": [
    {
      "symbol": "700.HK",
      "name_cn": "腾讯控股",
      "name_en": "TENCENT",
      "exchange": "SEHK",
      "currency": "HKD",
      "lot_size": 100,
      "total_shares": 9612464038,
      "eps": "28.4394",
      "board": "HKEquity"
    }
  ]
}
```
